Bug 13069 - sys_getwd() can leak memory or possibly return the wrong errno on older systems.
sys_getwd() can leak memory or possibly return the wrong errno on older systems.
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
4.7.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks: 13027
  Show dependency treegraph
 
Reported: 2017-10-03 00:51 UTC by Jeremy Allison
Modified: 2017-11-01 08:54 UTC (History)
2 users (show)

See Also:


Attachments
Proposed patch for master. (1.80 KB, patch)
2017-10-03 18:03 UTC, Jeremy Allison
slow: review+
Details
git-am fix for 4.7.next, 4.6.next. (2.02 KB, patch)
2017-10-04 22:29 UTC, Jeremy Allison
slow: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2017-10-03 00:51:46 UTC
Patches to follow.
Comment 1 Jeremy Allison 2017-10-03 18:03:00 UTC
Created attachment 13645 [details]
Proposed patch for master.
Comment 2 Ralph Böhme 2017-10-04 08:02:06 UTC
Comment on attachment 13645 [details]
Proposed patch for master.

Pushed.
Comment 3 Jeremy Allison 2017-10-04 22:29:39 UTC
Created attachment 13657 [details]
git-am fix for 4.7.next, 4.6.next.

Cherry-picked from master.
Comment 4 Ralph Böhme 2017-10-05 07:49:44 UTC
Reassigning to Karolin for inclusion in 4.6 and 4.7.
Comment 5 Karolin Seeger 2017-10-24 10:54:17 UTC
(In reply to Ralph Böhme from comment #4)
Pushed to autobuild-v4-{7,6}-test
Comment 6 Karolin Seeger 2017-11-01 08:54:37 UTC
(In reply to Karolin Seeger from comment #5)
Pushed to both branches.
Closing out bug report.

Thanks!